> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enum



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml get /10dlc/enum/{endpoint}
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/enum/{endpoint}:
    get:
      tags:
        - Enum
      summary: Get Enum
      operationId: GetEnumEndpoint
      parameters:
        - required: true
          schema:
            title: Endpoint
            type: string
            enum:
              - mno
              - optionalAttributes
              - usecase
              - vertical
              - altBusinessIdType
              - brandIdentityStatus
              - brandRelationship
              - campaignStatus
              - entityType
              - extVettingProvider
              - vettingStatus
              - brandStatus
              - operationStatus
              - approvedPublicCompany
              - stockExchange
              - vettingClass
          name: endpoint
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/EnumStringListResponse'
                  - $ref: '#/components/schemas/EnumObjectListResponse'
                  - $ref: '#/components/schemas/EnumObjectToStringResponse'
                  - $ref: '#/components/schemas/EnumObjecToObjecttResponse'
                  - $ref: '#/components/schemas/EnumPaginatedResponse'
        '404':
          description: Resource not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/10dlc_Errors'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const response = await client.messaging10dlc.getEnum('mno');

            console.log(response);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            response = client.messaging_10dlc.get_enum(
                "mno",
            )
            print(response)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Messaging10dlc.GetEnum(context.TODO(), telnyx.Messaging10dlcGetEnumParamsEndpointMno)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.messaging10dlc.Messaging10dlcGetEnumParams;

            import
            com.telnyx.sdk.models.messaging10dlc.Messaging10dlcGetEnumResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    Messaging10dlcGetEnumResponse response = client.messaging10dlc().getEnum(Messaging10dlcGetEnumParams.Endpoint.MNO);
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            response = telnyx.messaging_10dlc.get_enum(:mno)

            puts(response)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $response = $client->messaging10dlc->getEnum('mno');

              var_dump($response);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc get-enum \
              --api-key 'My API Key' \
              --endpoint mno
components:
  schemas:
    EnumStringListResponse:
      title: EnumStringListResponse
      type: array
      items:
        type: string
      example:
        - BASIC_ACCOUNT
        - SMALL_ACCOUNT
        - MEDIUM_ACCOUNT
        - LARGE_ACCOUNT
        - KEY_ACCOUNT
    EnumObjectListResponse:
      title: EnumObjectListResponse
      type: array
      items:
        type: object
        additionalProperties: true
      example:
        - networkId: 10000
          displayName: string
          osrBitmaskIndex: 32
    EnumObjectToStringResponse:
      title: EnumObjectToStringResponse
      type: object
      additionalProperties: true
      example:
        AREIS: AREIS
        BANDW: Bandwidth
        SINCH: Sinch
    EnumObjecToObjecttResponse:
      title: EnumObjecToObjecttResponse
      type: object
      additionalProperties: true
      example:
        PROFESSIONAL:
          industryId: professional-services
          displayName: Professional Services
          description: Professional services.
        REAL_ESTATE:
          industryId: real-estate
          displayName: Real Estate
          description: Buying and Selling of residential and commercial properties.
    EnumPaginatedResponse:
      title: EnumPaginatedResponse
      type: object
      required:
        - page
        - totalRecords
        - records
      properties:
        page:
          type: integer
        totalRecords:
          type: integer
        records:
          type: array
          items:
            type: object
            additionalProperties: true
      example:
        page: 1
        totalRecords: 2
        records:
          - isin: US68243Q1067
            iso2: US
            symbol: FLWS
            exchange: NASDAQ
            displayName: 1-800 FLOWERS.COM, Inc.
          - isin: US88025U1097
            iso2: US
            symbol: TXG
            exchange: NASDAQ
            displayName: 10X GENOMICS INC CLASS A
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````